include:
  - fwdriver.gitrepo
  - fwdriver.virtualenv
  - fwdriver.configuration

firewall:
  pkg.installed:
    - pkgs:
      {% if grains['os_family'] == 'RedHat' %}
      - zlib-devel
      - python-virtualenvwrapper
      - python3devel
      - libmemcached-devel
      - python3-pip
      - dhcp
      {% else  %}
      - zlib1g-dev
      - virtualenvwrapper
      - python3-dev
      - libmemcached-dev
      - openvswitch-switch
      - python3-pip
      {% if grains['os_family'] != 'Debian' %}
      {# No such package in Debian Jessie! #}
      - openvswitch-controller
      {% endif %}
      - isc-dhcp-server
      {% endif %}
      - git
      - ntp
      - iptables
      - ipset
    - require:
      - user: {{ pillar['fwdriver']['user'] }}
    - require_in:
      - git: gitrepo_fwdriver
      - virtualenv: virtualenv_fwdriver

  user:
    - present
    - name: {{ pillar['fwdriver']['user'] }}
    - shell: /bin/bash
    - usergroup: True
  service:
    - enabled
    - require:
      - service: firewall-init

firewall-init:
  service:
    - enabled

