rabbitmq-server:
  pkg.installed:
    - name: rabbitmq-server
  {% if grains['os_family'] == 'RedHat' %}
  file.managed:
    - name: /etc/rabbitmq/rabbitmq-env.conf
    - contents: RABBITMQ_DIST_PORT=5671
  {% endif %}
  service.running:
    - enable: True
    - require:
      - pkg: rabbitmq-server
      {% if grains['os_family'] == 'RedHat' %}
      - file: rabbitmq-server
      {% endif %}

virtual_host_amqp:
  rabbitmq_vhost.present:
    - name: {{ pillar['amqp']['vhost']}}
    - require:
      - service: rabbitmq-server

rabbitmq_user_amqp:
  rabbitmq_user.present:
    - name: {{ pillar['amqp']['user'] }}
    - password: {{ pillar['amqp']['password'] }}
    - perms: [{ {{ pillar['amqp']['vhost']}}: [.*, .*, .*]}]
    - require:
      - service: rabbitmq-server

virtual_host_graphite:
  rabbitmq_vhost.present:
    - name: {{ pillar['graphite']['vhost']}}
    - require:
      - service: rabbitmq-server

rabbitmq_user_graphite:
  rabbitmq_user.present:
    - name: {{ pillar['graphite']['user'] }}
    - password: {{ pillar['graphite']['password'] }}
    - perms: [{ {{ pillar['graphite']['vhost']}}: [.*, .*, .*]}]
    - require:
      - service: rabbitmq-server

{% if pillar['deployment_type'] == "local" %}
rabbitmq_management:
   rabbitmq_plugin.enabled: []

rabbitmq_user_guest:
  rabbitmq_user.present:
    - name: guest
    - password: guest
    - perms: [{ {{ pillar['amqp']['vhost']}}: [.*, .*, .*]}, { {{ pillar['graphite']['vhost']}}: [.*, .*, .*]}]
    - require:
      - service: rabbitmq-server

{% endif %}
